Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornl6720 <nl6720@gmail.com>2022-01-13 10:36:50 +0200
committernl6720 <nl6720@gmail.com>2022-01-13 10:36:50 +0200
commitb048c020aab4d83b4724659548e5e4d4f2b94cb7 (patch)
treed04760d8a3cf1870a752313cc8025081413cf6b9
parent697d750a64dbece971f8a33234a11a769dfdeda9 (diff)
parentb9f845e2fae31922b41e6fa63170bdd05a685b4d (diff)
Merge remote-tracking branch 'origin/merge-requests/13'
Change default DHCP timeout to 60 seconds instead of 20 to avoid STP issues. See merge request mkinitcpio/mkinitcpio-archiso!13
-rw-r--r--hooks/archiso_pxe_common4
1 files changed, 3 insertions, 1 deletions
diff --git a/hooks/archiso_pxe_common b/hooks/archiso_pxe_common
index 6cadc34..3c4126b 100644
--- a/hooks/archiso_pxe_common
+++ b/hooks/archiso_pxe_common
@@ -32,7 +32,9 @@ run_hook() {
fi
# setup network and save some values
- if ! ipconfig -t 20 "ip=${ip}"; then
+ # Timeout is set to 60 by default to avoid issues with STP default values
+ # (15 second listening, 15 seconds learning and 20 seconds for max age)
+ if ! ipconfig -t 60 "ip=${ip}"; then
echo "ERROR; Failed to configure network"
echo " Falling back to interactive prompt"
echo " You can try to fix the problem manually, log out when you are finished"